Add asset precompilation instructions to doc/INSTALL and doc/UPGRADING
Resolution: Fixed

Description

This patch enhances the doc/INSTALL and doc/UPGRADING documentation to include steps for asset precompilation.

With the introduction of Propshaft in Redmine 6.0.0, stylesheets, JavaScript, and images must be compiled. If assets are not
precompiled correctly, especially when deploying Redmine in a sub-URI, browsers will fail to load these resources.

This patch adds precompilation instructions to both the installation and upgrade guides to help administrators ensure a smooth setup

of Redmine.

Related issues:
Related to Redmine - Defect #41734: wrong url for assets in public/assets

Closed

Associated revisions

Revision 23383 - 2024-12-11 01:03 - Marius BALTEANU
Adds asset precompilation instructions to doc/INSTALL and doc/lUPGRADING (#41754).

Patch by Marius BALTEANU (user:marius.balteanu) and Go MAEDA (user:maeda).

Revision 23384 - 2024-12-11 01:05 - Marius BALTEANU
Merge r23383 from trunk to 6.0-stable (#41754).

History

#1 - 2024-11-14 12:48 - Go MAEDA
- Related to Defect #41734: wrong url for assets in public/assets added

#2 - 2024-11-14 12:59 - Holger Just

Quoting from Redmine 6.0.0 is now available:

Assets are automatically recompiled in production mode when updates are found in order to not require an additional command, but you can

disable this behavior from configuration (config.assets.redmine_detect_update)

Thus, | believe the currently intended approach is NOT to require precompilation.

However, as the assets may be recompiled on each start of Redmine (or only when performing a request? Marius, could you confirm this?), users

may have to set the environment variable on each invocation.

We could/should however document how to precompile assets.

#3 - 2024-11-14 13:04 - Go MAEDA

- Target version changed from 6.0.2 to Candidate for next minor release

Holger Just wrote in #note-2:

Quoting from Redmine 6.0.0 is now available:

Assets are automatically recompiled in production mode when updates are found in order to not require an additional command, but you

can disable this behavior from configuration (config.assets.redmine_detect_update)
Thus, | believe the currently intended approach is NOT to require precompilation.

Oh, | didn't know config.assets.redmine_detect_update.
| have to update the patch.

#4 - 2024-11-15 18:48 - Marius BALTEANU

Holger Just wrote in #note-2:

Quoting from Redmine 6.0.0 is now available:

However, as the assets may be recompiled on each start of Redmine (or only when performing a request? Marius, could you confirm this?),
users may have to set the environment variable on each invocation.

In production mode, only on startup it will compile/recompile the assets.

#5 - 2024-11-15 18:53 - Marius BALTEANU
Go MAEDA wrote in #note-3:

Holger Just wrote in #note-2:

Quoting from Redmine 6.0.0 is now available:

Oh, | didn't know config.assets.redmine_detect_update.
| have to update the patch.

Yes, | think we should update the docs and Redminelnstall to mention about this configuration flag together with a recommendation. | don't find useful
to disable this behaviour for a simple installation with one server.

#6 - 2024-11-17 12:40 - Marius BALTEANU
- Assignee set to Marius BALTEANU

- Target version changed from Candidate for next minor release to 6.0.2

#7 - 2024-12-11 01:05 - Marius BALTEANU
- Status changed from New to Closed

- Resolution set to Fixed

Files

precompile-assets-instruction.patch 3.93 KB 2024-11-14 Go MAEDA
